%define url_ver %(echo %{version}|cut -d. -f1,2)
%define major 4
%define libname %mklibname matekbd  %{major}
%define develname %mklibname -d matekbd

Summary:        MATE keyboard libraries
Name:           libmatekbd
Version:        1.6.2
Release:        %mkrel 1
License:        LGPLv2+
Group:          System/Libraries
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: intltool
BuildRequires: mate-common
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libxklavier)
BuildRequires: pkgconfig(mate-doc-utils)

%description
Files used by the MATE keyboard library

%package -n %{libname}
Summary:        Dynamic libraries for MATE applications
Group:          %{group}
Requires:       %{name} >= %{version}

%description -n %{libname}
MATE keyboard library

%package -n %{develname}
Summary:        Static libraries, include files for MATE
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}

%description -n %{develname}
Static library and headers file needed in order to develop
applications using the MATE keyboard library

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
   --disable-static          \
   --with-gtk=2.0            \
   --disable-schemas-compile \
   --with-x
   
%make LIBS='-lm -lgmodule-2.0'

%install

%makeinstall_std

# remove unneeed scheme convert file
rm -fr %{buildroot}%{_datadir}/MateConf

%find_lang %{name} --all-name

%files -f %name.lang
%doc AUTHORS COPYING README
%{_datadir}/glib-2.0/schemas/org.mate.peripherals-keyboard-xkb.gschema.xml
%{_datadir}/libmatekbd

%files -n %{libname}
%{_libdir}/libmatekbd*.so.%{major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.la



%changelog
* Wed Jan 01 2014 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 563844
-Update to new bugfix version: 1.6.2

* Fri Dec 06 2013 tarakbumba <tarakbumba> 1.6.1-3.mga4
+ Revision: 555736
- Fix explicit declaration of internal libxklavier functions (upstream)

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531028
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 461633
- New bugfix version
- imported package libmatekbd

